<?php
// Add plugin-specific colors and fonts to the custom CSS
if ( ! function_exists( 'gunslinger_extra_get_css' ) ) {
	add_filter( 'gunslinger_filter_get_css', 'gunslinger_extra_get_css', 10, 2 );
	function gunslinger_extra_get_css( $css, $args ) {
		if ( isset( $css['fonts'] ) && isset( $args['fonts'] ) ) {
			$fonts         = $args['fonts'];
			$css['fonts'] .= <<<CSS

			
			.sc_layouts_iconed_text {
				{$fonts['h5_font-family']}
			}



CSS;
		}

		return $css;
	}
}