<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package GUNSLINGER
 * @since GUNSLINGER 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$gunslinger_copyright_scheme = gunslinger_get_theme_option( 'copyright_scheme' );
if ( ! empty( $gunslinger_copyright_scheme ) && ! gunslinger_is_inherit( $gunslinger_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $gunslinger_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$gunslinger_copyright = gunslinger_get_theme_option( 'copyright' );
			if ( ! empty( $gunslinger_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$gunslinger_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $gunslinger_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$gunslinger_copyright = gunslinger_prepare_macros( $gunslinger_copyright );
				// Display copyright
				echo wp_kses( nl2br( $gunslinger_copyright ), 'gunslinger_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
