<?php
/**
 * The template to display default site footer
 *
 * @package GUNSLINGER
 * @since GUNSLINGER 1.0.10
 */

$gunslinger_footer_id = gunslinger_get_custom_footer_id();
$gunslinger_footer_meta = get_post_meta( $gunslinger_footer_id, 'trx_addons_options', true );
if ( ! empty( $gunslinger_footer_meta['margin'] ) ) {
	gunslinger_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( gunslinger_prepare_css_value( $gunslinger_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $gunslinger_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $gunslinger_footer_id ) ) ); ?>
						<?php
						$gunslinger_footer_scheme = gunslinger_get_theme_option( 'footer_scheme' );
						if ( ! empty( $gunslinger_footer_scheme ) && ! gunslinger_is_inherit( $gunslinger_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $gunslinger_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'gunslinger_action_show_layout', $gunslinger_footer_id );
	?>
</footer><!-- /.footer_wrap -->
