<?php
/**
 * The template to display the background video in the header
 *
 * @package GUNSLINGER
 * @since GUNSLINGER 1.0.14
 */
$gunslinger_header_video = gunslinger_get_header_video();
$gunslinger_embed_video  = '';
if ( ! empty( $gunslinger_header_video ) && ! gunslinger_is_from_uploads( $gunslinger_header_video ) ) {
	if ( gunslinger_is_youtube_url( $gunslinger_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $gunslinger_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php gunslinger_show_layout( gunslinger_get_embed_video( $gunslinger_header_video ) ); ?></div>
		<?php
	}
}
