<div class="front_page_section front_page_section_contacts<?php
	$gunslinger_scheme = gunslinger_get_theme_option( 'front_page_contacts_scheme' );
	if ( ! empty( $gunslinger_scheme ) && ! gunslinger_is_inherit( $gunslinger_scheme ) ) {
		echo ' scheme_' . esc_attr( $gunslinger_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( gunslinger_get_theme_option( 'front_page_contacts_paddings' ) );
	if ( gunslinger_get_theme_option( 'front_page_contacts_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$gunslinger_css      = '';
		$gunslinger_bg_image = gunslinger_get_theme_option( 'front_page_contacts_bg_image' );
		if ( ! empty( $gunslinger_bg_image ) ) {
			$gunslinger_css .= 'background-image: url(' . esc_url( gunslinger_get_attachment_url( $gunslinger_bg_image ) ) . ');';
		}
		if ( ! empty( $gunslinger_css ) ) {
			echo ' style="' . esc_attr( $gunslinger_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$gunslinger_anchor_icon = gunslinger_get_theme_option( 'front_page_contacts_anchor_icon' );
	$gunslinger_anchor_text = gunslinger_get_theme_option( 'front_page_contacts_anchor_text' );
if ( ( ! empty( $gunslinger_anchor_icon ) || ! empty( $gunslinger_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_contacts"'
									. ( ! empty( $gunslinger_anchor_icon ) ? ' icon="' . esc_attr( $gunslinger_anchor_icon ) . '"' : '' )
									. ( ! empty( $gunslinger_anchor_text ) ? ' title="' . esc_attr( $gunslinger_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_contacts_inner
	<?php
	if ( gunslinger_get_theme_option( 'front_page_contacts_fullheight' ) ) {
		echo ' gunslinger-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$gunslinger_css      = '';
			$gunslinger_bg_mask  = gunslinger_get_theme_option( 'front_page_contacts_bg_mask' );
			$gunslinger_bg_color_type = gunslinger_get_theme_option( 'front_page_contacts_bg_color_type' );
			if ( 'custom' == $gunslinger_bg_color_type ) {
				$gunslinger_bg_color = gunslinger_get_theme_option( 'front_page_contacts_bg_color' );
			} elseif ( 'scheme_bg_color' == $gunslinger_bg_color_type ) {
				$gunslinger_bg_color = gunslinger_get_scheme_color( 'bg_color', $gunslinger_scheme );
			} else {
				$gunslinger_bg_color = '';
			}
			if ( ! empty( $gunslinger_bg_color ) && $gunslinger_bg_mask > 0 ) {
				$gunslinger_css .= 'background-color: ' . esc_attr(
					1 == $gunslinger_bg_mask ? $gunslinger_bg_color : gunslinger_hex2rgba( $gunslinger_bg_color, $gunslinger_bg_mask )
				) . ';';
			}
			if ( ! empty( $gunslinger_css ) ) {
				echo ' style="' . esc_attr( $gunslinger_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_contacts_content_wrap content_wrap">
			<?php

			// Title and description
			$gunslinger_caption     = gunslinger_get_theme_option( 'front_page_contacts_caption' );
			$gunslinger_description = gunslinger_get_theme_option( 'front_page_contacts_description' );
			if ( ! empty( $gunslinger_caption ) || ! empty( $gunslinger_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				// Caption
				if ( ! empty( $gunslinger_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_contacts_caption front_page_block_<?php echo ! empty( $gunslinger_caption ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( $gunslinger_caption, 'gunslinger_kses_content' );
					?>
					</h2>
					<?php
				}

				// Description
				if ( ! empty( $gunslinger_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_contacts_description front_page_block_<?php echo ! empty( $gunslinger_description ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( wpautop( $gunslinger_description ), 'gunslinger_kses_content' );
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$gunslinger_content = gunslinger_get_theme_option( 'front_page_contacts_content' );
			$gunslinger_layout  = gunslinger_get_theme_option( 'front_page_contacts_layout' );
			if ( 'columns' == $gunslinger_layout && ( ! empty( $gunslinger_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_columns front_page_section_contacts_columns columns_wrap">
					<div class="column-1_3">
				<?php
			}

			if ( ( ! empty( $gunslinger_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_content front_page_section_contacts_content front_page_block_<?php echo ! empty( $gunslinger_content ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $gunslinger_content, 'gunslinger_kses_content' );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $gunslinger_layout && ( ! empty( $gunslinger_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div><div class="column-2_3">
				<?php
			}

			// Shortcode output
			$gunslinger_sc = gunslinger_get_theme_option( 'front_page_contacts_shortcode' );
			if ( ! empty( $gunslinger_sc ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_output front_page_section_contacts_output front_page_block_<?php echo ! empty( $gunslinger_sc ) ? 'filled' : 'empty'; ?>">
					<?php
					gunslinger_show_layout( do_shortcode( $gunslinger_sc ) );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $gunslinger_layout && ( ! empty( $gunslinger_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>

		</div>
	</div>
</div>
