<?php
/**
 * The template to display default site footer
 *
 * @package GUNSLINGER
 * @since GUNSLINGER 1.0.10
 */

?>
<footer class="footer_wrap footer_default
<?php
$gunslinger_footer_scheme = gunslinger_get_theme_option( 'footer_scheme' );
if ( ! empty( $gunslinger_footer_scheme ) && ! gunslinger_is_inherit( $gunslinger_footer_scheme  ) ) {
	echo ' scheme_' . esc_attr( $gunslinger_footer_scheme );
}
?>
				">
	<?php

	// Footer widgets area
	get_template_part( apply_filters( 'gunslinger_filter_get_template_part', 'templates/footer-widgets' ) );

	// Logo
	get_template_part( apply_filters( 'gunslinger_filter_get_template_part', 'templates/footer-logo' ) );

	// Socials
	get_template_part( apply_filters( 'gunslinger_filter_get_template_part', 'templates/footer-socials' ) );

	// Copyright area
	get_template_part( apply_filters( 'gunslinger_filter_get_template_part', 'templates/footer-copyright' ) );

	?>
</footer><!-- /.footer_wrap -->
